<sqtm-core-creation-dialog
  (add)="addEntity()"
  (addAnother)="addAnother()"
  [asyncTaskRunning]="loading$ | async"
  [attr.data-test-dialog-id]="'new-entity'"
>
  <div class="m-10" [formGroup]="formGroup">
    <div class="sqtm-core-dialog-form p-4">
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.name.label' | translate
      }}</label>
      <sqtm-core-text-field
        [initialFocus]="true"
        [formGroup]="formGroup"
        [fieldName]="Controls.name"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      ></sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.generic.description.label' | translate
      }}</label>
      <sqtm-core-rich-text-field
        [formGroup]="formGroup"
        [fieldName]="Controls.description"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-rich-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.project.label.tag' | translate
      }}</label>
      <sqtm-core-text-field
        [formGroup]="formGroup"
        [fieldName]="Controls.label"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-text-field>
      <label class="label label__align_right">{{
        'sqtm-core.entity.project.template.label.singular' | translate
      }}</label>
      <sqtm-core-select-field
        [disabled]="true"
        [formGroup]="formGroup"
        [fieldName]="Controls.template"
        [options]="templateOptions"
        [serverSideFieldValidationError]="serverSideValidationErrors"
      >
      </sqtm-core-select-field>

      @if (hasTemplateSelected) {
        <label class="label label__align_right">
          {{
            'sqtm-core.administration-workspace.projects.dialog.message.new-project.parameters'
              | translate
          }}
        </label>
        <div class="flex-column template-parameters">
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepTemplateBinding"
            ngDefaultControl
            (nzCheckedChange)="handleKeepTemplateBindingChange($event)"
          >
            {{
              'sqtm-core.administration-workspace.projects.dialog.message.new-project.keep-template-binding'
                | translate
            }}
          </span>

          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepPluginsBinding"
            ngDefaultControl
            (nzCheckedChange)="handleKeepPluginConfBindingChange($event)"
            [attr.data-test-element-id]="'keepPluginsBinding'"
          >
            {{
              'sqtm-core.administration-workspace.projects.dialog.message.new-project.keep-all-plugins-configuration-binding'
                | translate
            }}
          </span>
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.copyPluginsConfiguration"
            ngDefaultControl
            (nzCheckedChange)="handleCopyPluginsConfigurationChange($event)"
            [attr.data-test-element-id]="'copyPluginsConfiguration'"
          >
            {{
              'sqtm-core.administration-workspace.projects.dialog.message.new-project.copy-plugin-configuration'
                | translate: { pluginName: 'Xsquash' }
            }}
          </span>

          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepPermissions"
            ngDefaultControl
          >
            {{
              'sqtm-core.entity.project.authorizations.label.plural' | translate
            }}
          </span>
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepCustomFields"
            ngDefaultControl
          >
            {{ 'sqtm-core.entity.custom-field.label.plural' | translate }}
          </span>
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepInfoLists"
            ngDefaultControl
          >
            {{ 'sqtm-core.entity.info-list.label.plural' | translate }}
          </span>
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepBugtracker"
            ngDefaultControl
          >
            {{ 'sqtm-core.entity.bugtracker.label.singular' | translate }}
          </span>
          @if (isUltimate$()) {
            <span
              nz-checkbox
              [formGroup]="formGroup"
              [formControlName]="Controls.keepAiServer"
              ngDefaultControl
              [attr.data-test-element-id]="'copyAiServerBinding'"
            >
              {{ 'sqtm-core.entity.ai-server.label' | translate }}
            </span>
          }
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepAutomation"
            ngDefaultControl
          >
            {{ 'sqtm-core.entity.automation.label.singular' | translate }}
          </span>
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepMilestones"
            ngDefaultControl
          >
            {{ 'sqtm-core.entity.milestone.label.plural' | translate }}
          </span>
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepAllowTcModificationsFromExecution"
            ngDefaultControl
          >
            {{
              'sqtm-core.administration-workspace.projects.dialog.message.new-project.keep-allow-tc-modifications-from-execution'
                | translate
            }}
          </span>
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepOptionalExecutionStatuses"
            ngDefaultControl
          >
            {{
              'sqtm-core.administration-workspace.projects.dialog.message.new-project.keep-optional-execution-statuses'
                | translate
            }}
          </span>
          <span
            nz-checkbox
            [formGroup]="formGroup"
            [formControlName]="Controls.keepPluginsActivation"
            ngDefaultControl
          >
            {{
              'sqtm-core.administration-workspace.projects.dialog.message.new-project.keep-plugin-activation'
                | translate
            }}
          </span>
        </div>
      }
    </div>
  </div>
</sqtm-core-creation-dialog>
